Loading...
Searching...
No Matches
Magick::PathClosePath Class Reference
Inheritance diagram for Magick::PathClosePath:

## Public Member Functions

void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

::ssize_t | _dummy

## Detailed Description

Definition at line 2517 of file Drawable.h.

## Constructor & Destructor Documentation

## PathClosePath()

Magick::PathClosePath::PathClosePath | ( | void |  | ) |

inline

Definition at line 2520 of file Drawable.h.

: _dummy(0)
{
}

## ~PathClosePath()

Magick::PathClosePath::~PathClosePath | ( | void |  | ) |

Definition at line 1897 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathClosePath::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1904 of file Drawable.cpp.

{
return new PathClosePath(*this);
}

## operator()()

void Magick::PathClosePath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1900 of file Drawable.cpp.

{
DrawPathClose( context_ );
}

## Field Documentation

## _dummy

::ssize_t Magick::PathClosePath::_dummy

private

Definition at line 2534 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp